<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Debian Policy Manual</title>

<link href="index.html" rel="start">
<link href="ap-pkg-diversions.html" rel="prev">
<link href="ch-scope.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch-scope.html" rel="chapter" title="1 About this manual">
<link href="ch-archive.html" rel="chapter" title="2 The Debian Archive">
<link href="ch-binary.html" rel="chapter" title="3 Binary packages">
<link href="ch-source.html" rel="chapter" title="4 Source packages">
<link href="ch-controlfields.html" rel="chapter" title="5 Control files and their fields">
<link href="ch-maintainerscripts.html" rel="chapter" title="6 Package maintainer scripts and installation procedure">
<link href="ch-relationships.html" rel="chapter" title="7 Declaring relationships between packages">
<link href="ch-sharedlibs.html" rel="chapter" title="8 Shared libraries">
<link href="ch-opersys.html" rel="chapter" title="9 The Operating System">
<link href="ch-files.html" rel="chapter" title="10 Files">
<link href="ch-customized-programs.html" rel="chapter" title="11 Customized programs">
<link href="ch-docs.html" rel="chapter" title="12 Documentation">
<link href="ap-pkg-scope.html" rel="appendix" title="A Introduction and scope of these appendices">
<link href="ap-pkg-binarypkg.html" rel="appendix" title="B Binary packages (from old Packaging Manual)">
<link href="ap-pkg-sourcepkg.html" rel="appendix" title="C Source packages (from old Packaging Manual)">
<link href="ap-pkg-controlfields.html" rel="appendix" title="D Control files and their fields (from old Packaging Manual)">
<link href="ap-pkg-conffiles.html" rel="appendix" title="E Configuration file handling (from old Packaging Manual)">
<link href="ap-pkg-alternatives.html" rel="appendix" title="F Alternative versions of an interface - update-alternatives (from old Packaging Manual)">
<link href="ap-pkg-diversions.html" rel="appendix" title="G Diversions - overriding a package's version of a file (from old Packaging Manual)">
<link href="ch-scope.html#s1.1" rel="section" title="1.1 Scope">
<link href="ch-scope.html#s1.2" rel="section" title="1.2 New versions of this document">
<link href="ch-scope.html#s-authors" rel="section" title="1.3 Authors and Maintainers">
<link href="ch-scope.html#s-related" rel="section" title="1.4 Related documents">
<link href="ch-scope.html#s-definitions" rel="section" title="1.5 Definitions">
<link href="ch-archive.html#s-dfsg" rel="section" title="2.1 The Debian Free Software Guidelines">
<link href="ch-archive.html#s-sections" rel="section" title="2.2 Archive areas">
<link href="ch-archive.html#s-pkgcopyright" rel="section" title="2.3 Copyright considerations">
<link href="ch-archive.html#s-subsections" rel="section" title="2.4 Sections">
<link href="ch-archive.html#s-priorities" rel="section" title="2.5 Priorities">
<link href="ch-binary.html#s3.1" rel="section" title="3.1 The package name">
<link href="ch-binary.html#s-versions" rel="section" title="3.2 The version of a package">
<link href="ch-binary.html#s-maintainer" rel="section" title="3.3 The maintainer of a package">
<link href="ch-binary.html#s-descriptions" rel="section" title="3.4 The description of a package">
<link href="ch-binary.html#s-dependencies" rel="section" title="3.5 Dependencies">
<link href="ch-binary.html#s-virtual_pkg" rel="section" title="3.6 Virtual packages">
<link href="ch-binary.html#s3.7" rel="section" title="3.7 Base system">
<link href="ch-binary.html#s3.8" rel="section" title="3.8 Essential packages">
<link href="ch-binary.html#s-maintscripts" rel="section" title="3.9 Maintainer Scripts">
<link href="ch-source.html#s-standardsversion" rel="section" title="4.1 Standards conformance">
<link href="ch-source.html#s-pkg-relations" rel="section" title="4.2 Package relationships">
<link href="ch-source.html#s4.3" rel="section" title="4.3 Changes to the upstream sources">
<link href="ch-source.html#s-dpkgchangelog" rel="section" title="4.4 Debian changelog: debian/changelog">
<link href="ch-source.html#s-dpkgcopyright" rel="section" title="4.5 Copyright: debian/copyright">
<link href="ch-source.html#s4.6" rel="section" title="4.6 Error trapping in makefiles">
<link href="ch-source.html#s-timestamps" rel="section" title="4.7 Time Stamps">
<link href="ch-source.html#s-restrictions" rel="section" title="4.8 Restrictions on objects in source packages">
<link href="ch-source.html#s-debianrules" rel="section" title="4.9 Main building script: debian/rules">
<link href="ch-source.html#s-substvars" rel="section" title="4.10 Variable substitutions: debian/substvars">
<link href="ch-source.html#s-debianwatch" rel="section" title="4.11 Optional upstream source location: debian/watch">
<link href="ch-source.html#s-debianfiles" rel="section" title="4.12 Generated files list: debian/files">
<link href="ch-source.html#s-embeddedfiles" rel="section" title="4.13 Convenience copies of code">
<link href="ch-source.html#s-readmesource" rel="section" title="4.14 Source package handling: debian/README.source">
<link href="ch-controlfields.html#s-controlsyntax" rel="section" title="5.1 Syntax of control files">
<link href="ch-controlfields.html#s-sourcecontrolfiles" rel="section" title="5.2 Source package control files -- debian/control">
<link href="ch-controlfields.html#s-binarycontrolfiles" rel="section" title="5.3 Binary package control files -- DEBIAN/control">
<link href="ch-controlfields.html#s-debiansourcecontrolfiles" rel="section" title="5.4 Debian source control files -- .dsc">
<link href="ch-controlfields.html#s-debianchangesfiles" rel="section" title="5.5 Debian changes files -- .changes">
<link href="ch-controlfields.html#s-controlfieldslist" rel="section" title="5.6 List of fields">
<link href="ch-controlfields.html#s5.7" rel="section" title="5.7 User-defined fields">
<link href="ch-controlfields.html#s-obsolete-control-data-fields" rel="section" title="5.8 Obsolete fields">
<link href="ch-maintainerscripts.html#s6.1" rel="section" title="6.1 Introduction to package maintainer scripts">
<link href="ch-maintainerscripts.html#s-idempotency" rel="section" title="6.2 Maintainer scripts idempotency">
<link href="ch-maintainerscripts.html#s-controllingterminal" rel="section" title="6.3 Controlling terminal for maintainer scripts">
<link href="ch-maintainerscripts.html#s-exitstatus" rel="section" title="6.4 Exit status">
<link href="ch-maintainerscripts.html#s-mscriptsinstact" rel="section" title="6.5 Summary of ways maintainer scripts are called">
<link href="ch-maintainerscripts.html#s-unpackphase" rel="section" title="6.6 Details of unpack phase of installation or upgrade">
<link href="ch-maintainerscripts.html#s-configdetails" rel="section" title="6.7 Details of configuration">
<link href="ch-maintainerscripts.html#s-removedetails" rel="section" title="6.8 Details of removal and/or configuration purging">
<link href="ch-relationships.html#s-depsyntax" rel="section" title="7.1 Syntax of relationship fields">
<link href="ch-relationships.html#s-binarydeps" rel="section" title="7.2 Binary Dependencies - Depends, Recommends, Suggests, Enhances, Pre-Depends">
<link href="ch-relationships.html#s-breaks" rel="section" title="7.3 Packages which break other packages - Breaks">
<link href="ch-relationships.html#s-conflicts" rel="section" title="7.4 Conflicting binary packages - Conflicts">
<link href="ch-relationships.html#s-virtual" rel="section" title="7.5 Virtual packages - Provides">
<link href="ch-relationships.html#s-replaces" rel="section" title="7.6 Overwriting files and replacing packages - Replaces">
<link href="ch-relationships.html#s-sourcebinarydeps" rel="section" title="7.7 Relationships between source and binary packages - Build-Depends, Build-Depends-Indep, Build-Conflicts, Build-Conflicts-Indep">
<link href="ch-relationships.html#s-built-using" rel="section" title="7.8 Additional source packages used to build the binary - Built-Using">
<link href="ch-sharedlibs.html#s-sharedlibs-runtime" rel="section" title="8.1 Run-time shared libraries">
<link href="ch-sharedlibs.html#s-sharedlibs-support-files" rel="section" title="8.2 Shared library support files">
<link href="ch-sharedlibs.html#s-sharedlibs-static" rel="section" title="8.3 Static libraries">
<link href="ch-sharedlibs.html#s-sharedlibs-dev" rel="section" title="8.4 Development files">
<link href="ch-sharedlibs.html#s-sharedlibs-intradeps" rel="section" title="8.5 Dependencies between the packages of the same library">
<link href="ch-sharedlibs.html#s-sharedlibs-depends" rel="section" title="8.6 Dependencies between the library and other packages">
<link href="ch-opersys.html#s9.1" rel="section" title="9.1 File system hierarchy">
<link href="ch-opersys.html#s9.2" rel="section" title="9.2 Users and groups">
<link href="ch-opersys.html#s-sysvinit" rel="section" title="9.3 System run levels and init.d scripts">
<link href="ch-opersys.html#s9.4" rel="section" title="9.4 Console messages from init.d scripts">
<link href="ch-opersys.html#s-cron-jobs" rel="section" title="9.5 Cron jobs">
<link href="ch-opersys.html#s-menus" rel="section" title="9.6 Menus">
<link href="ch-opersys.html#s-mime" rel="section" title="9.7 Multimedia handlers">
<link href="ch-opersys.html#s9.8" rel="section" title="9.8 Keyboard configuration">
<link href="ch-opersys.html#s9.9" rel="section" title="9.9 Environment variables">
<link href="ch-opersys.html#s-doc-base" rel="section" title="9.10 Registering Documents using doc-base">
<link href="ch-opersys.html#s-alternateinit" rel="section" title="9.11 Alternate init systems">
<link href="ch-files.html#s-binaries" rel="section" title="10.1 Binaries">
<link href="ch-files.html#s-libraries" rel="section" title="10.2 Libraries">
<link href="ch-files.html#s10.3" rel="section" title="10.3 Shared libraries">
<link href="ch-files.html#s-scripts" rel="section" title="10.4 Scripts">
<link href="ch-files.html#s10.5" rel="section" title="10.5 Symbolic links">
<link href="ch-files.html#s10.6" rel="section" title="10.6 Device files">
<link href="ch-files.html#s-config-files" rel="section" title="10.7 Configuration files">
<link href="ch-files.html#s10.8" rel="section" title="10.8 Log files">
<link href="ch-files.html#s-permissions-owners" rel="section" title="10.9 Permissions and owners">
<link href="ch-files.html#s-filenames" rel="section" title="10.10 File names">
<link href="ch-customized-programs.html#s-arch-spec" rel="section" title="11.1 Architecture specification strings">
<link href="ch-customized-programs.html#s11.2" rel="section" title="11.2 Daemons">
<link href="ch-customized-programs.html#s11.3" rel="section" title="11.3 Using pseudo-ttys and modifying wtmp, utmp and lastlog">
<link href="ch-customized-programs.html#s11.4" rel="section" title="11.4 Editors and pagers">
<link href="ch-customized-programs.html#s-web-appl" rel="section" title="11.5 Web servers and applications">
<link href="ch-customized-programs.html#s-mail-transport-agents" rel="section" title="11.6 Mail transport, delivery and user agents">
<link href="ch-customized-programs.html#s11.7" rel="section" title="11.7 News system configuration">
<link href="ch-customized-programs.html#s11.8" rel="section" title="11.8 Programs for the X Window System">
<link href="ch-customized-programs.html#s-perl" rel="section" title="11.9 Perl programs and modules">
<link href="ch-customized-programs.html#s-emacs" rel="section" title="11.10 Emacs lisp programs">
<link href="ch-customized-programs.html#s11.11" rel="section" title="11.11 Games">
<link href="ch-docs.html#s12.1" rel="section" title="12.1 Manual pages">
<link href="ch-docs.html#s12.2" rel="section" title="12.2 Info documents">
<link href="ch-docs.html#s-docs-additional" rel="section" title="12.3 Additional documentation">
<link href="ch-docs.html#s12.4" rel="section" title="12.4 Preferred documentation formats">
<link href="ch-docs.html#s-copyrightfile" rel="section" title="12.5 Copyright information">
<link href="ch-docs.html#s12.6" rel="section" title="12.6 Examples">
<link href="ch-docs.html#s-changelogs" rel="section" title="12.7 Changelog files">
<link href="ap-pkg-binarypkg.html#s-pkg-bincreating" rel="section" title="B.1 Creating package files - dpkg-deb">
<link href="ap-pkg-binarypkg.html#s-pkg-controlarea" rel="section" title="B.2 Package control information files">
<link href="ap-pkg-binarypkg.html#s-pkg-controlfile" rel="section" title="B.3 The main control information file: control">
<link href="ap-pkg-binarypkg.html#sB.4" rel="section" title="B.4 Time Stamps">
<link href="ap-pkg-sourcepkg.html#s-pkg-sourcetools" rel="section" title="C.1 Tools for processing source packages">
<link href="ap-pkg-sourcepkg.html#s-pkg-sourcetree" rel="section" title="C.2 The Debian package source tree">
<link href="ap-pkg-sourcepkg.html#s-pkg-sourcearchives" rel="section" title="C.3 Source packages as archives">
<link href="ap-pkg-sourcepkg.html#sC.4" rel="section" title="C.4 Unpacking a Debian source package without dpkg-source">
<link href="ap-pkg-controlfields.html#sD.1" rel="section" title="D.1 Syntax of control files">
<link href="ap-pkg-controlfields.html#sD.2" rel="section" title="D.2 List of fields">
<link href="ap-pkg-conffiles.html#sE.1" rel="section" title="E.1 Automatic handling of configuration files by dpkg">
<link href="ap-pkg-conffiles.html#sE.2" rel="section" title="E.2 Fully-featured maintainer script configuration handling">
<link href="ch-archive.html#s-main" rel="subsection" title="2.2.1 The main archive area">
<link href="ch-archive.html#s-contrib" rel="subsection" title="2.2.2 The contrib archive area">
<link href="ch-archive.html#s-non-free" rel="subsection" title="2.2.3 The non-free archive area">
<link href="ch-binary.html#s3.2.1" rel="subsection" title="3.2.1 Version numbers based on dates">
<link href="ch-binary.html#s-synopsis" rel="subsection" title="3.4.1 The single line synopsis">
<link href="ch-binary.html#s-extendeddesc" rel="subsection" title="3.4.2 The extended description">
<link href="ch-binary.html#s-maintscriptprompt" rel="subsection" title="3.9.1 Prompting in maintainer scripts">
<link href="ch-source.html#s-debianrules-options" rel="subsection" title="4.9.1 debian/rules and DEB_BUILD_OPTIONS">
<link href="ch-controlfields.html#s-f-Source" rel="subsection" title="5.6.1 Source">
<link href="ch-controlfields.html#s-f-Maintainer" rel="subsection" title="5.6.2 Maintainer">
<link href="ch-controlfields.html#s-f-Uploaders" rel="subsection" title="5.6.3 Uploaders">
<link href="ch-controlfields.html#s-f-Changed-By" rel="subsection" title="5.6.4 Changed-By">
<link href="ch-controlfields.html#s-f-Section" rel="subsection" title="5.6.5 Section">
<link href="ch-controlfields.html#s-f-Priority" rel="subsection" title="5.6.6 Priority">
<link href="ch-controlfields.html#s-f-Package" rel="subsection" title="5.6.7 Package">
<link href="ch-controlfields.html#s-f-Architecture" rel="subsection" title="5.6.8 Architecture">
<link href="ch-controlfields.html#s-f-Essential" rel="subsection" title="5.6.9 Essential">
<link href="ch-controlfields.html#s5.6.10" rel="subsection" title="5.6.10 Package interrelationship fields: Depends, Pre-Depends, Recommends, Suggests, Breaks, Conflicts, Provides, Replaces, Enhances">
<link href="ch-controlfields.html#s-f-Standards-Version" rel="subsection" title="5.6.11 Standards-Version">
<link href="ch-controlfields.html#s-f-Version" rel="subsection" title="5.6.12 Version">
<link href="ch-controlfields.html#s-f-Description" rel="subsection" title="5.6.13 Description">
<link href="ch-controlfields.html#s-f-Distribution" rel="subsection" title="5.6.14 Distribution">
<link href="ch-controlfields.html#s-f-Date" rel="subsection" title="5.6.15 Date">
<link href="ch-controlfields.html#s-f-Format" rel="subsection" title="5.6.16 Format">
<link href="ch-controlfields.html#s-f-Urgency" rel="subsection" title="5.6.17 Urgency">
<link href="ch-controlfields.html#s-f-Changes" rel="subsection" title="5.6.18 Changes">
<link href="ch-controlfields.html#s-f-Binary" rel="subsection" title="5.6.19 Binary">
<link href="ch-controlfields.html#s-f-Installed-Size" rel="subsection" title="5.6.20 Installed-Size">
<link href="ch-controlfields.html#s-f-Files" rel="subsection" title="5.6.21 Files">
<link href="ch-controlfields.html#s-f-Closes" rel="subsection" title="5.6.22 Closes">
<link href="ch-controlfields.html#s-f-Homepage" rel="subsection" title="5.6.23 Homepage">
<link href="ch-controlfields.html#s-f-Checksums" rel="subsection" title="5.6.24 Checksums-Sha1 and Checksums-Sha256">
<link href="ch-controlfields.html#s5.6.25" rel="subsection" title="5.6.25 DM-Upload-Allowed">
<link href="ch-controlfields.html#s-f-VCS-fields" rel="subsection" title="5.6.26 Version Control System (VCS) fields">
<link href="ch-controlfields.html#s-f-Package-List" rel="subsection" title="5.6.27 Package-List">
<link href="ch-controlfields.html#s-f-Package-Type" rel="subsection" title="5.6.28 Package-Type">
<link href="ch-controlfields.html#s-f-Dgit" rel="subsection" title="5.6.29 Dgit">
<link href="ch-controlfields.html#s-f-DM-Upload-Allowed" rel="subsection" title="5.8.1 DM-Upload-Allowed">
<link href="ch-relationships.html#s7.6.1" rel="subsection" title="7.6.1 Overwriting files in other packages">
<link href="ch-relationships.html#s7.6.2" rel="subsection" title="7.6.2 Replacing whole packages, forcing their removal">
<link href="ch-sharedlibs.html#s-ldconfig" rel="subsection" title="8.1.1 ldconfig">
<link href="ch-sharedlibs.html#s-dpkg-shlibdeps" rel="subsection" title="8.6.1 Generating dependencies on shared libraries">
<link href="ch-sharedlibs.html#s-sharedlibs-updates" rel="subsection" title="8.6.2 Shared library ABI changes">
<link href="ch-sharedlibs.html#s-sharedlibs-symbols" rel="subsection" title="8.6.3 The symbols system">
<link href="ch-sharedlibs.html#s-symbols-paths" rel="subsection" title="8.6.3.1 The symbols files present on the system">
<link href="ch-sharedlibs.html#s-symbols" rel="subsection" title="8.6.3.2 The symbols File Format">
<link href="ch-sharedlibs.html#s-providing-symbols" rel="subsection" title="8.6.3.3 Providing a symbols file">
<link href="ch-sharedlibs.html#s-sharedlibs-shlibdeps" rel="subsection" title="8.6.4 The shlibs system">
<link href="ch-sharedlibs.html#s-shlibs-paths" rel="subsection" title="8.6.4.1 The shlibs files present on the system">
<link href="ch-sharedlibs.html#s-shlibs" rel="subsection" title="8.6.4.2 The shlibs File Format">
<link href="ch-sharedlibs.html#s8.6.4.3" rel="subsection" title="8.6.4.3 Providing a shlibs file">
<link href="ch-opersys.html#s-fhs" rel="subsection" title="9.1.1 File System Structure">
<link href="ch-opersys.html#s9.1.2" rel="subsection" title="9.1.2 Site-specific programs">
<link href="ch-opersys.html#s9.1.3" rel="subsection" title="9.1.3 The system-wide mail directory">
<link href="ch-opersys.html#s-fhs-run" rel="subsection" title="9.1.4 /run and /run/lock">
<link href="ch-opersys.html#s9.2.1" rel="subsection" title="9.2.1 Introduction">
<link href="ch-opersys.html#s9.2.2" rel="subsection" title="9.2.2 UID and GID classes">
<link href="ch-opersys.html#s-/etc/init.d" rel="subsection" title="9.3.1 Introduction">
<link href="ch-opersys.html#s-writing-init" rel="subsection" title="9.3.2 Writing the scripts">
<link href="ch-opersys.html#s9.3.3" rel="subsection" title="9.3.3 Interfacing with the initscript system">
<link href="ch-opersys.html#s9.3.3.1" rel="subsection" title="9.3.3.1 Managing the links">
<link href="ch-opersys.html#s9.3.3.2" rel="subsection" title="9.3.3.2 Running initscripts">
<link href="ch-opersys.html#s9.3.4" rel="subsection" title="9.3.4 Boot-time initialization">
<link href="ch-opersys.html#s9.3.5" rel="subsection" title="9.3.5 Example">
<link href="ch-opersys.html#s-cron-files" rel="subsection" title="9.5.1 Cron job file names">
<link href="ch-opersys.html#s-media-types-freedesktop" rel="subsection" title="9.7.1 Registration of media type handlers with desktop entries">
<link href="ch-opersys.html#s-mailcap" rel="subsection" title="9.7.2 Registration of media type handlers with mailcap entries">
<link href="ch-opersys.html#s-file-media-type" rel="subsection" title="9.7.3 Providing media types to files">
<link href="ch-opersys.html#s-upstart" rel="subsection" title="9.11.1 Event-based boot with upstart">
<link href="ch-files.html#s10.7.1" rel="subsection" title="10.7.1 Definitions">
<link href="ch-files.html#s10.7.2" rel="subsection" title="10.7.2 Location">
<link href="ch-files.html#s10.7.3" rel="subsection" title="10.7.3 Behavior">
<link href="ch-files.html#s10.7.4" rel="subsection" title="10.7.4 Sharing configuration files">
<link href="ch-files.html#s10.7.5" rel="subsection" title="10.7.5 User configuration files (&quot;dotfiles&quot;)">
<link href="ch-files.html#s10.9.1" rel="subsection" title="10.9.1 The use of dpkg-statoverride">
<link href="ch-customized-programs.html#s-arch-wildcard-spec" rel="subsection" title="11.1.1 Architecture wildcards">
<link href="ch-customized-programs.html#s11.8.1" rel="subsection" title="11.8.1 Providing X support and package priorities">
<link href="ch-customized-programs.html#s11.8.2" rel="subsection" title="11.8.2 Packages providing an X server">
<link href="ch-customized-programs.html#s11.8.3" rel="subsection" title="11.8.3 Packages providing a terminal emulator">
<link href="ch-customized-programs.html#s11.8.4" rel="subsection" title="11.8.4 Packages providing a window manager">
<link href="ch-customized-programs.html#s11.8.5" rel="subsection" title="11.8.5 Packages providing fonts">
<link href="ch-customized-programs.html#s-appdefaults" rel="subsection" title="11.8.6 Application defaults files">
<link href="ch-customized-programs.html#s11.8.7" rel="subsection" title="11.8.7 Installation directory issues">
<link href="ch-docs.html#s-copyrightformat" rel="subsection" title="12.5.1 Machine-readable copyright information">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-source" rel="subsection" title="C.1.1 dpkg-source - packs and unpacks Debian source packages">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-buildpackage" rel="subsection" title="C.1.2 dpkg-buildpackage - overall package-building control script">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-gencontrol" rel="subsection" title="C.1.3 dpkg-gencontrol - generates binary package control files">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-shlibdeps" rel="subsection" title="C.1.4 dpkg-shlibdeps - calculates shared library dependencies">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-distaddfile" rel="subsection" title="C.1.5 dpkg-distaddfile - adds a file to debian/files">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-genchanges" rel="subsection" title="C.1.6 dpkg-genchanges - generates a .changes upload control file">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-parsechangelog" rel="subsection" title="C.1.7 dpkg-parsechangelog - produces parsed representation of a changelog">
<link href="ap-pkg-sourcepkg.html#s-pkg-dpkg-architecture" rel="subsection" title="C.1.8 dpkg-architecture - information about the build and host system">
<link href="ap-pkg-sourcepkg.html#s-pkg-debianrules" rel="subsection" title="C.2.1 debian/rules - the main building script">
<link href="ap-pkg-sourcepkg.html#s-pkg-srcsubstvars" rel="subsection" title="C.2.2 debian/substvars and variable substitutions">
<link href="ap-pkg-sourcepkg.html#sC.2.3" rel="subsection" title="C.2.3 debian/files">
<link href="ap-pkg-sourcepkg.html#sC.2.4" rel="subsection" title="C.2.4 debian/tmp">
<link href="ap-pkg-sourcepkg.html#sC.4.1" rel="subsection" title="C.4.1 Restrictions on objects in source packages">
<link href="ap-pkg-controlfields.html#s-pkg-f-Filename" rel="subsection" title="D.2.1 Filename and MSDOS-Filename">
<link href="ap-pkg-controlfields.html#s-pkg-f-Size" rel="subsection" title="D.2.2 Size and MD5sum">
<link href="ap-pkg-controlfields.html#s-pkg-f-Status" rel="subsection" title="D.2.3 Status">
<link href="ap-pkg-controlfields.html#s-pkg-f-Config-Version" rel="subsection" title="D.2.4 Config-Version">
<link href="ap-pkg-controlfields.html#s-pkg-f-Conffiles" rel="subsection" title="D.2.5 Conffiles">
<link href="ap-pkg-controlfields.html#sD.2.6" rel="subsection" title="D.2.6 Obsolete fields">

</head>

<body>

<p><a name="index"></a></p>
<hr>

<p>
[ <a href="ap-pkg-diversions.html">previous</a> ]
[ <a href="#contents">Contents</a> ]
[ <a href="ch-scope.html">1</a> ]
[ <a href="ch-archive.html">2</a> ]
[ <a href="ch-binary.html">3</a> ]
[ <a href="ch-source.html">4</a> ]
[ <a href="ch-controlfields.html">5</a> ]
[ <a href="ch-maintainerscripts.html">6</a> ]
[ <a href="ch-relationships.html">7</a> ]
[ <a href="ch-sharedlibs.html">8</a> ]
[ <a href="ch-opersys.html">9</a> ]
[ <a href="ch-files.html">10</a> ]
[ <a href="ch-customized-programs.html">11</a> ]
[ <a href="ch-docs.html">12</a> ]
[ <a href="ap-pkg-scope.html">A</a> ]
[ <a href="ap-pkg-binarypkg.html">B</a> ]
[ <a href="ap-pkg-sourcepkg.html">C</a> ]
[ <a href="ap-pkg-controlfields.html">D</a> ]
[ <a href="ap-pkg-conffiles.html">E</a> ]
[ <a href="ap-pkg-alternatives.html">F</a> ]
[ <a href="ap-pkg-diversions.html">G</a> ]
[ <a href="ch-scope.html">next</a> ]
</p>

<hr>

<h1>
Debian Policy Manual
<br></h1>

<hr>

<h2 id="abstract">Abstract</h2>

<p>
This manual describes the policy requirements for the Debian distribution.
This includes the structure and contents of the Debian archive and several
design issues of the operating system, as well as technical requirements that
each package must satisfy to be included in the distribution.
</p>

<hr>

<h2 id="copyright">Copyright Notice</h2>

<p>
Copyright &copy; 1996,1997,1998 Ian Jackson and Christian Schwarz.
</p>

<p>
These are the copyright dates of the original Policy manual.  Since then, this
manual has been updated by many others.  No comprehensive collection of
copyright notices for subsequent work exists.
</p>

<p>
This manual is free software; you may redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2, or (at your option) any later version.
</p>

<p>
This is distributed in the hope that it will be useful, but <em>without any
warranty</em>; without even the implied warranty of merchantability or fitness
for a particular purpose.  See the GNU General Public License for more details.
</p>

<p>
A copy of the GNU General Public License is available as
<code>/usr/share/common-licenses/GPL</code> in the Debian distribution or on
the World Wide Web at <code><a href="http://www.gnu.org/copyleft/gpl.html">the
GNU General Public Licence</a></code>.  You can also obtain it by writing to
the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
02110-1301, USA.
</p>

<hr>

<h2 id="contents">Contents</h2>

<ul>
<li><a href="ch-scope.html">1 About this manual</a>
  <ul>
  <li><a href="ch-scope.html#s1.1">1.1 Scope</a></li>
  <li><a href="ch-scope.html#s1.2">1.2 New versions of this document</a></li>
  <li><a href="ch-scope.html#s-authors">1.3 Authors and Maintainers</a></li>
  <li><a href="ch-scope.html#s-related">1.4 Related documents</a></li>
  <li><a href="ch-scope.html#s-definitions">1.5 Definitions</a>
  </ul></li>
<li><a href="ch-archive.html">2 The Debian Archive</a>
  <ul>
  <li><a href="ch-archive.html#s-dfsg">2.1 The Debian Free Software Guidelines</a></li>
  <li><a href="ch-archive.html#s-sections">2.2 Archive areas</a>
    <ul>
    <li><a href="ch-archive.html#s-main">2.2.1 The main archive area</a></li>
    <li><a href="ch-archive.html#s-contrib">2.2.2 The contrib archive area</a></li>
    <li><a href="ch-archive.html#s-non-free">2.2.3 The non-free archive area</a>
    </ul></li>
  <li><a href="ch-archive.html#s-pkgcopyright">2.3 Copyright considerations</a></li>
  <li><a href="ch-archive.html#s-subsections">2.4 Sections</a></li>
  <li><a href="ch-archive.html#s-priorities">2.5 Priorities</a>
  </ul></li>
<li><a href="ch-binary.html">3 Binary packages</a>
  <ul>
  <li><a href="ch-binary.html#s3.1">3.1 The package name</a></li>
  <li><a href="ch-binary.html#s-versions">3.2 The version of a package</a>
    <ul>
    <li><a href="ch-binary.html#s3.2.1">3.2.1 Version numbers based on dates</a>
    </ul></li>
  <li><a href="ch-binary.html#s-maintainer">3.3 The maintainer of a package</a></li>
  <li><a href="ch-binary.html#s-descriptions">3.4 The description of a package</a>
    <ul>
    <li><a href="ch-binary.html#s-synopsis">3.4.1 The single line synopsis</a></li>
    <li><a href="ch-binary.html#s-extendeddesc">3.4.2 The extended description</a>
    </ul></li>
  <li><a href="ch-binary.html#s-dependencies">3.5 Dependencies</a></li>
  <li><a href="ch-binary.html#s-virtual_pkg">3.6 Virtual packages</a></li>
  <li><a href="ch-binary.html#s3.7">3.7 Base system</a></li>
  <li><a href="ch-binary.html#s3.8">3.8 Essential packages</a></li>
  <li><a href="ch-binary.html#s-maintscripts">3.9 Maintainer Scripts</a>
    <ul>
    <li><a href="ch-binary.html#s-maintscriptprompt">3.9.1 Prompting in maintainer scripts</a>
    </ul></li>
  </ul></li>
<li><a href="ch-source.html">4 Source packages</a>
  <ul>
  <li><a href="ch-source.html#s-standardsversion">4.1 Standards conformance</a></li>
  <li><a href="ch-source.html#s-pkg-relations">4.2 Package relationships</a></li>
  <li><a href="ch-source.html#s4.3">4.3 Changes to the upstream sources</a></li>
  <li><a href="ch-source.html#s-dpkgchangelog">4.4 Debian changelog: <code>debian/changelog</code></a></li>
  <li><a href="ch-source.html#s-dpkgcopyright">4.5 Copyright: <code>debian/copyright</code></a></li>
  <li><a href="ch-source.html#s4.6">4.6 Error trapping in makefiles</a></li>
  <li><a href="ch-source.html#s-timestamps">4.7 Time Stamps</a></li>
  <li><a href="ch-source.html#s-restrictions">4.8 Restrictions on objects in source packages</a></li>
  <li><a href="ch-source.html#s-debianrules">4.9 Main building script: <code>debian/rules</code></a>
    <ul>
    <li><a href="ch-source.html#s-debianrules-options">4.9.1 <code>debian/rules</code> and <samp>DEB_BUILD_OPTIONS</samp></a>
    </ul></li>
  <li><a href="ch-source.html#s-substvars">4.10 Variable substitutions: <code>debian/substvars</code></a></li>
  <li><a href="ch-source.html#s-debianwatch">4.11 Optional upstream source location: <code>debian/watch</code></a></li>
  <li><a href="ch-source.html#s-debianfiles">4.12 Generated files list: <code>debian/files</code></a></li>
  <li><a href="ch-source.html#s-embeddedfiles">4.13 Convenience copies of code</a></li>
  <li><a href="ch-source.html#s-readmesource">4.14 Source package handling: <code>debian/README.source</code></a>
  </ul></li>
<li><a href="ch-controlfields.html">5 Control files and their fields</a>
  <ul>
  <li><a href="ch-controlfields.html#s-controlsyntax">5.1 Syntax of control files</a></li>
  <li><a href="ch-controlfields.html#s-sourcecontrolfiles">5.2 Source package control files -- <code>debian/control</code></a></li>
  <li><a href="ch-controlfields.html#s-binarycontrolfiles">5.3 Binary package control files -- <code>DEBIAN/control</code></a></li>
  <li><a href="ch-controlfields.html#s-debiansourcecontrolfiles">5.4 Debian source control files -- <samp>.dsc</samp></a></li>
  <li><a href="ch-controlfields.html#s-debianchangesfiles">5.5 Debian changes files -- <code>.changes</code></a></li>
  <li><a href="ch-controlfields.html#s-controlfieldslist">5.6 List of fields</a>
    <ul>
    <li><a href="ch-controlfields.html#s-f-Source">5.6.1 <samp>Source</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Maintainer">5.6.2 <samp>Maintainer</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Uploaders">5.6.3 <samp>Uploaders</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Changed-By">5.6.4 <samp>Changed-By</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Section">5.6.5 <samp>Section</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Priority">5.6.6 <samp>Priority</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Package">5.6.7 <samp>Package</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Architecture">5.6.8 <samp>Architecture</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Essential">5.6.9 <samp>Essential</samp></a></li>
    <li><a href="ch-controlfields.html#s5.6.10">5.6.10 Package interrelationship fields: <samp>Depends</samp>, <samp>Pre-Depends</samp>, <samp>Recommends</samp>, <samp>Suggests</samp>, <samp>Breaks</samp>, <samp>Conflicts</samp>, <samp>Provides</samp>, <samp>Replaces</samp>, <samp>Enhances</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Standards-Version">5.6.11 <samp>Standards-Version</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Version">5.6.12 <samp>Version</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Description">5.6.13 <samp>Description</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Distribution">5.6.14 <samp>Distribution</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Date">5.6.15 <samp>Date</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Format">5.6.16 <samp>Format</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Urgency">5.6.17 <samp>Urgency</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Changes">5.6.18 <samp>Changes</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Binary">5.6.19 <samp>Binary</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Installed-Size">5.6.20 <samp>Installed-Size</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Files">5.6.21 <samp>Files</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Closes">5.6.22 <samp>Closes</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Homepage">5.6.23 <samp>Homepage</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Checksums">5.6.24 <samp>Checksums-Sha1</samp> and <samp>Checksums-Sha256</samp></a></li>
    <li><a href="ch-controlfields.html#s5.6.25">5.6.25 <samp>DM-Upload-Allowed</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-VCS-fields">5.6.26 Version Control System (VCS) fields</a></li>
    <li><a href="ch-controlfields.html#s-f-Package-List">5.6.27 <samp>Package-List</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Package-Type">5.6.28 <samp>Package-Type</samp></a></li>
    <li><a href="ch-controlfields.html#s-f-Dgit">5.6.29 <samp>Dgit</samp></a>
    </ul></li>
  <li><a href="ch-controlfields.html#s5.7">5.7 User-defined fields</a></li>
  <li><a href="ch-controlfields.html#s-obsolete-control-data-fields">5.8 Obsolete fields</a>
    <ul>
    <li><a href="ch-controlfields.html#s-f-DM-Upload-Allowed">5.8.1 <samp>DM-Upload-Allowed</samp></a>
    </ul></li>
  </ul></li>
<li><a href="ch-maintainerscripts.html">6 Package maintainer scripts and installation procedure</a>
  <ul>
  <li><a href="ch-maintainerscripts.html#s6.1">6.1 Introduction to package maintainer scripts</a></li>
  <li><a href="ch-maintainerscripts.html#s-idempotency">6.2 Maintainer scripts idempotency</a></li>
  <li><a href="ch-maintainerscripts.html#s-controllingterminal">6.3 Controlling terminal for maintainer scripts</a></li>
  <li><a href="ch-maintainerscripts.html#s-exitstatus">6.4 Exit status</a></li>
  <li><a href="ch-maintainerscripts.html#s-mscriptsinstact">6.5 Summary of ways maintainer scripts are called</a></li>
  <li><a href="ch-maintainerscripts.html#s-unpackphase">6.6 Details of unpack phase of installation or upgrade</a></li>
  <li><a href="ch-maintainerscripts.html#s-configdetails">6.7 Details of configuration</a></li>
  <li><a href="ch-maintainerscripts.html#s-removedetails">6.8 Details of removal and/or configuration purging</a>
  </ul></li>
<li><a href="ch-relationships.html">7 Declaring relationships between packages</a>
  <ul>
  <li><a href="ch-relationships.html#s-depsyntax">7.1 Syntax of relationship fields</a></li>
  <li><a href="ch-relationships.html#s-binarydeps">7.2 Binary Dependencies - <samp>Depends</samp>, <samp>Recommends</samp>, <samp>Suggests</samp>, <samp>Enhances</samp>, <samp>Pre-Depends</samp></a></li>
  <li><a href="ch-relationships.html#s-breaks">7.3 Packages which break other packages - <samp>Breaks</samp></a></li>
  <li><a href="ch-relationships.html#s-conflicts">7.4 Conflicting binary packages - <samp>Conflicts</samp></a></li>
  <li><a href="ch-relationships.html#s-virtual">7.5 Virtual packages - <samp>Provides</samp></a></li>
  <li><a href="ch-relationships.html#s-replaces">7.6 Overwriting files and replacing packages - <samp>Replaces</samp></a>
    <ul>
    <li><a href="ch-relationships.html#s7.6.1">7.6.1 Overwriting files in other packages</a></li>
    <li><a href="ch-relationships.html#s7.6.2">7.6.2 Replacing whole packages, forcing their removal</a>
    </ul></li>
  <li><a href="ch-relationships.html#s-sourcebinarydeps">7.7 Relationships between source and binary packages - <samp>Build-Depends</samp>, <samp>Build-Depends-Indep</samp>, <samp>Build-Conflicts</samp>, <samp>Build-Conflicts-Indep</samp></a></li>
  <li><a href="ch-relationships.html#s-built-using">7.8 Additional source packages used to build the binary - <samp>Built-Using</samp></a>
  </ul></li>
<li><a href="ch-sharedlibs.html">8 Shared libraries</a>
  <ul>
  <li><a href="ch-sharedlibs.html#s-sharedlibs-runtime">8.1 Run-time shared libraries</a>
    <ul>
    <li><a href="ch-sharedlibs.html#s-ldconfig">8.1.1 <samp>ldconfig</samp></a>
    </ul></li>
  <li><a href="ch-sharedlibs.html#s-sharedlibs-support-files">8.2 Shared library support files</a></li>
  <li><a href="ch-sharedlibs.html#s-sharedlibs-static">8.3 Static libraries</a></li>
  <li><a href="ch-sharedlibs.html#s-sharedlibs-dev">8.4 Development files</a></li>
  <li><a href="ch-sharedlibs.html#s-sharedlibs-intradeps">8.5 Dependencies between the packages of the same library</a></li>
  <li><a href="ch-sharedlibs.html#s-sharedlibs-depends">8.6 Dependencies between the library and other packages</a>
    <ul>
    <li><a href="ch-sharedlibs.html#s-dpkg-shlibdeps">8.6.1 Generating dependencies on shared libraries</a></li>
    <li><a href="ch-sharedlibs.html#s-sharedlibs-updates">8.6.2 Shared library ABI changes</a></li>
    <li><a href="ch-sharedlibs.html#s-sharedlibs-symbols">8.6.3 The <samp>symbols</samp> system</a></li>
    <li><a href="ch-sharedlibs.html#s-sharedlibs-shlibdeps">8.6.4 The <samp>shlibs</samp> system</a>
    </ul></li>
  </ul></li>
<li><a href="ch-opersys.html">9 The Operating System</a>
  <ul>
  <li><a href="ch-opersys.html#s9.1">9.1 File system hierarchy</a>
    <ul>
    <li><a href="ch-opersys.html#s-fhs">9.1.1 File System Structure</a></li>
    <li><a href="ch-opersys.html#s9.1.2">9.1.2 Site-specific programs</a></li>
    <li><a href="ch-opersys.html#s9.1.3">9.1.3 The system-wide mail directory</a></li>
    <li><a href="ch-opersys.html#s-fhs-run">9.1.4 <code>/run</code> and <code>/run/lock</code></a>
    </ul></li>
  <li><a href="ch-opersys.html#s9.2">9.2 Users and groups</a>
    <ul>
    <li><a href="ch-opersys.html#s9.2.1">9.2.1 Introduction</a></li>
    <li><a href="ch-opersys.html#s9.2.2">9.2.2 UID and GID classes</a>
    </ul></li>
  <li><a href="ch-opersys.html#s-sysvinit">9.3 System run levels and <code>init.d</code> scripts</a>
    <ul>
    <li><a href="ch-opersys.html#s-/etc/init.d">9.3.1 Introduction</a></li>
    <li><a href="ch-opersys.html#s-writing-init">9.3.2 Writing the scripts</a></li>
    <li><a href="ch-opersys.html#s9.3.3">9.3.3 Interfacing with the initscript system</a></li>
    <li><a href="ch-opersys.html#s9.3.4">9.3.4 Boot-time initialization</a></li>
    <li><a href="ch-opersys.html#s9.3.5">9.3.5 Example</a>
    </ul></li>
  <li><a href="ch-opersys.html#s9.4">9.4 Console messages from <code>init.d</code> scripts</a></li>
  <li><a href="ch-opersys.html#s-cron-jobs">9.5 Cron jobs</a>
    <ul>
    <li><a href="ch-opersys.html#s-cron-files">9.5.1 Cron job file names</a>
    </ul></li>
  <li><a href="ch-opersys.html#s-menus">9.6 Menus</a></li>
  <li><a href="ch-opersys.html#s-mime">9.7 Multimedia handlers</a>
    <ul>
    <li><a href="ch-opersys.html#s-media-types-freedesktop">9.7.1 Registration of media type handlers with desktop entries</a></li>
    <li><a href="ch-opersys.html#s-mailcap">9.7.2 Registration of media type handlers with mailcap entries</a></li>
    <li><a href="ch-opersys.html#s-file-media-type">9.7.3 Providing media types to files</a>
    </ul></li>
  <li><a href="ch-opersys.html#s9.8">9.8 Keyboard configuration</a></li>
  <li><a href="ch-opersys.html#s9.9">9.9 Environment variables</a></li>
  <li><a href="ch-opersys.html#s-doc-base">9.10 Registering Documents using doc-base</a></li>
  <li><a href="ch-opersys.html#s-alternateinit">9.11 Alternate init systems</a>
    <ul>
    <li><a href="ch-opersys.html#s-upstart">9.11.1 Event-based boot with upstart</a>
    </ul></li>
  </ul></li>
<li><a href="ch-files.html">10 Files</a>
  <ul>
  <li><a href="ch-files.html#s-binaries">10.1 Binaries</a></li>
  <li><a href="ch-files.html#s-libraries">10.2 Libraries</a></li>
  <li><a href="ch-files.html#s10.3">10.3 Shared libraries</a></li>
  <li><a href="ch-files.html#s-scripts">10.4 Scripts</a></li>
  <li><a href="ch-files.html#s10.5">10.5 Symbolic links</a></li>
  <li><a href="ch-files.html#s10.6">10.6 Device files</a></li>
  <li><a href="ch-files.html#s-config-files">10.7 Configuration files</a>
    <ul>
    <li><a href="ch-files.html#s10.7.1">10.7.1 Definitions</a></li>
    <li><a href="ch-files.html#s10.7.2">10.7.2 Location</a></li>
    <li><a href="ch-files.html#s10.7.3">10.7.3 Behavior</a></li>
    <li><a href="ch-files.html#s10.7.4">10.7.4 Sharing configuration files</a></li>
    <li><a href="ch-files.html#s10.7.5">10.7.5 User configuration files (&quot;dotfiles&quot;)</a>
    </ul></li>
  <li><a href="ch-files.html#s10.8">10.8 Log files</a></li>
  <li><a href="ch-files.html#s-permissions-owners">10.9 Permissions and owners</a>
    <ul>
    <li><a href="ch-files.html#s10.9.1">10.9.1 The use of <code>dpkg-statoverride</code></a>
    </ul></li>
  <li><a href="ch-files.html#s-filenames">10.10 File names</a>
  </ul></li>
<li><a href="ch-customized-programs.html">11 Customized programs</a>
  <ul>
  <li><a href="ch-customized-programs.html#s-arch-spec">11.1 Architecture specification strings</a>
    <ul>
    <li><a href="ch-customized-programs.html#s-arch-wildcard-spec">11.1.1 Architecture wildcards</a>
    </ul></li>
  <li><a href="ch-customized-programs.html#s11.2">11.2 Daemons</a></li>
  <li><a href="ch-customized-programs.html#s11.3">11.3 Using pseudo-ttys and modifying wtmp, utmp and lastlog</a></li>
  <li><a href="ch-customized-programs.html#s11.4">11.4 Editors and pagers</a></li>
  <li><a href="ch-customized-programs.html#s-web-appl">11.5 Web servers and applications</a></li>
  <li><a href="ch-customized-programs.html#s-mail-transport-agents">11.6 Mail transport, delivery and user agents</a></li>
  <li><a href="ch-customized-programs.html#s11.7">11.7 News system configuration</a></li>
  <li><a href="ch-customized-programs.html#s11.8">11.8 Programs for the X Window System</a>
    <ul>
    <li><a href="ch-customized-programs.html#s11.8.1">11.8.1 Providing X support and package priorities</a></li>
    <li><a href="ch-customized-programs.html#s11.8.2">11.8.2 Packages providing an X server</a></li>
    <li><a href="ch-customized-programs.html#s11.8.3">11.8.3 Packages providing a terminal emulator</a></li>
    <li><a href="ch-customized-programs.html#s11.8.4">11.8.4 Packages providing a window manager</a></li>
    <li><a href="ch-customized-programs.html#s11.8.5">11.8.5 Packages providing fonts</a></li>
    <li><a href="ch-customized-programs.html#s-appdefaults">11.8.6 Application defaults files</a></li>
    <li><a href="ch-customized-programs.html#s11.8.7">11.8.7 Installation directory issues</a>
    </ul></li>
  <li><a href="ch-customized-programs.html#s-perl">11.9 Perl programs and modules</a></li>
  <li><a href="ch-customized-programs.html#s-emacs">11.10 Emacs lisp programs</a></li>
  <li><a href="ch-customized-programs.html#s11.11">11.11 Games</a>
  </ul></li>
<li><a href="ch-docs.html">12 Documentation</a>
  <ul>
  <li><a href="ch-docs.html#s12.1">12.1 Manual pages</a></li>
  <li><a href="ch-docs.html#s12.2">12.2 Info documents</a></li>
  <li><a href="ch-docs.html#s-docs-additional">12.3 Additional documentation</a></li>
  <li><a href="ch-docs.html#s12.4">12.4 Preferred documentation formats</a></li>
  <li><a href="ch-docs.html#s-copyrightfile">12.5 Copyright information</a>
    <ul>
    <li><a href="ch-docs.html#s-copyrightformat">12.5.1 Machine-readable copyright information</a>
    </ul></li>
  <li><a href="ch-docs.html#s12.6">12.6 Examples</a></li>
  <li><a href="ch-docs.html#s-changelogs">12.7 Changelog files</a>
  </ul></li>
<li><a href="ap-pkg-scope.html">A Introduction and scope of these appendices</a><li><a href="ap-pkg-binarypkg.html">B Binary packages (from old Packaging Manual)</a>
  <ul>
  <li><a href="ap-pkg-binarypkg.html#s-pkg-bincreating">B.1 Creating package files - <code>dpkg-deb</code></a></li>
  <li><a href="ap-pkg-binarypkg.html#s-pkg-controlarea">B.2 Package control information files</a></li>
  <li><a href="ap-pkg-binarypkg.html#s-pkg-controlfile">B.3 The main control information file: <samp>control</samp></a></li>
  <li><a href="ap-pkg-binarypkg.html#sB.4">B.4 Time Stamps</a>
  </ul></li>
<li><a href="ap-pkg-sourcepkg.html">C Source packages (from old Packaging Manual)</a>
  <ul>
  <li><a href="ap-pkg-sourcepkg.html#s-pkg-sourcetools">C.1 Tools for processing source packages</a>
    <ul>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-source">C.1.1 <code>dpkg-source</code> - packs and unpacks Debian source packages</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-buildpackage">C.1.2 <code>dpkg-buildpackage</code> - overall package-building control script</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-gencontrol">C.1.3 <code>dpkg-gencontrol</code> - generates binary package control files</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-shlibdeps">C.1.4 <code>dpkg-shlibdeps</code> - calculates shared library dependencies</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-distaddfile">C.1.5 <code>dpkg-distaddfile</code> - adds a file to <code>debian/files</code></a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-genchanges">C.1.6 <code>dpkg-genchanges</code> - generates a <code>.changes</code> upload control file</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-parsechangelog">C.1.7 <code>dpkg-parsechangelog</code> - produces parsed representation of a changelog</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-dpkg-architecture">C.1.8 <code>dpkg-architecture</code> - information about the build and host system</a>
    </ul></li>
  <li><a href="ap-pkg-sourcepkg.html#s-pkg-sourcetree">C.2 The Debian package source tree</a>
    <ul>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-debianrules">C.2.1 <code>debian/rules</code> - the main building script</a></li>
    <li><a href="ap-pkg-sourcepkg.html#s-pkg-srcsubstvars">C.2.2 <code>debian/substvars</code> and variable substitutions</a></li>
    <li><a href="ap-pkg-sourcepkg.html#sC.2.3">C.2.3 <code>debian/files</code></a></li>
    <li><a href="ap-pkg-sourcepkg.html#sC.2.4">C.2.4 <code>debian/tmp</code></a>
    </ul></li>
  <li><a href="ap-pkg-sourcepkg.html#s-pkg-sourcearchives">C.3 Source packages as archives</a></li>
  <li><a href="ap-pkg-sourcepkg.html#sC.4">C.4 Unpacking a Debian source package without <code>dpkg-source</code></a>
    <ul>
    <li><a href="ap-pkg-sourcepkg.html#sC.4.1">C.4.1 Restrictions on objects in source packages</a>
    </ul></li>
  </ul></li>
<li><a href="ap-pkg-controlfields.html">D Control files and their fields (from old Packaging Manual)</a>
  <ul>
  <li><a href="ap-pkg-controlfields.html#sD.1">D.1 Syntax of control files</a></li>
  <li><a href="ap-pkg-controlfields.html#sD.2">D.2 List of fields</a>
    <ul>
    <li><a href="ap-pkg-controlfields.html#s-pkg-f-Filename">D.2.1 <samp>Filename</samp> and <samp>MSDOS-Filename</samp></a></li>
    <li><a href="ap-pkg-controlfields.html#s-pkg-f-Size">D.2.2 <samp>Size</samp> and <samp>MD5sum</samp></a></li>
    <li><a href="ap-pkg-controlfields.html#s-pkg-f-Status">D.2.3 <samp>Status</samp></a></li>
    <li><a href="ap-pkg-controlfields.html#s-pkg-f-Config-Version">D.2.4 <samp>Config-Version</samp></a></li>
    <li><a href="ap-pkg-controlfields.html#s-pkg-f-Conffiles">D.2.5 <samp>Conffiles</samp></a></li>
    <li><a href="ap-pkg-controlfields.html#sD.2.6">D.2.6 Obsolete fields</a>
    </ul></li>
  </ul></li>
<li><a href="ap-pkg-conffiles.html">E Configuration file handling (from old Packaging Manual)</a>
  <ul>
  <li><a href="ap-pkg-conffiles.html#sE.1">E.1 Automatic handling of configuration files by <code>dpkg</code></a></li>
  <li><a href="ap-pkg-conffiles.html#sE.2">E.2 Fully-featured maintainer script configuration handling</a>
  </ul></li>
<li><a href="ap-pkg-alternatives.html">F Alternative versions of an interface - <code>update-alternatives</code> (from old Packaging Manual)</a><li><a href="ap-pkg-diversions.html">G Diversions - overriding a package's version of a file (from old Packaging Manual)</a></li>
</ul>

<hr>

<p>
[ <a href="ap-pkg-diversions.html">previous</a> ]
[ <a href="#contents">Contents</a> ]
[ <a href="ch-scope.html">1</a> ]
[ <a href="ch-archive.html">2</a> ]
[ <a href="ch-binary.html">3</a> ]
[ <a href="ch-source.html">4</a> ]
[ <a href="ch-controlfields.html">5</a> ]
[ <a href="ch-maintainerscripts.html">6</a> ]
[ <a href="ch-relationships.html">7</a> ]
[ <a href="ch-sharedlibs.html">8</a> ]
[ <a href="ch-opersys.html">9</a> ]
[ <a href="ch-files.html">10</a> ]
[ <a href="ch-customized-programs.html">11</a> ]
[ <a href="ch-docs.html">12</a> ]
[ <a href="ap-pkg-scope.html">A</a> ]
[ <a href="ap-pkg-binarypkg.html">B</a> ]
[ <a href="ap-pkg-sourcepkg.html">C</a> ]
[ <a href="ap-pkg-controlfields.html">D</a> ]
[ <a href="ap-pkg-conffiles.html">E</a> ]
[ <a href="ap-pkg-alternatives.html">F</a> ]
[ <a href="ap-pkg-diversions.html">G</a> ]
[ <a href="ch-scope.html">next</a> ]
</p>

<hr>

<p>
Debian Policy Manual
</p>

<address>
version 3.9.8.0, 2016-03-30<br>
<br>
<a href="ch-scope.html#s-authors">The Debian Policy Mailing List</a><br>
<br>
</address>
<hr>

</body>

</html>

